Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161337 - CAN-2001-1494 hardlink vulnerability in 'script' command
Summary: CAN-2001-1494 hardlink vulnerability in 'script' command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: util-linux
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard: public=20011212,impact=low,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:10 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-782
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-11 15:48:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:782 normal SHIPPED_LIVE Moderate: util-linux and mount security update 2005-10-11 04:00:00 UTC

Description Josh Bressers 2005-06-22 15:10:19 UTC
Very simple, script (when executed as root) overwrites
hardlinks that could be set by any user to any file on
the harddisk. For instance, a malicious user can place
a hardlink 'typescript' to /etc/passwd (or any other file)
in his home directory. If the root user would execute
script in that directory it would cause script to
overwrite that file. Script does check for symlinks and
asks if the symlink should be overwritten, it lacks
checking hardlinks. 

http://archives.neohapsis.com/archives/bugtraq/2001-12/0119.html

Comment 5 Red Hat Bugzilla 2005-10-11 15:48:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-782.html



Note You need to log in before you can comment on or make changes to this bug.